MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025801Open CASCADE[OCCT] OCCT:DRAWpublic2015-02-06 18:092015-05-14 15:32
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025801: Some of the commands in BOPTest packages show the execution time without -t key
DescriptionThe following commands
 - bopcheck
 - bfillds
 - bbuild
 - bbop
show the execution time without -t key. F.e. the output of bopcheck command:

Draw[3]> bopcheck b1
Elapsed time: 0 Hours 0 Minutes 0.0168630849803 Seconds
CPU user time: 0.0156001 seconds
CPU system time: 0 seconds
 This shape seems to be OK.

Draw[4]> bopcheck b1 -t
Elapsed time: 0 Hours 0 Minutes 0.0168858770048 Seconds
CPU user time: 0.0156001 seconds
CPU system time: 0 seconds
 This shape seems to be OK.
  Tps: 0.02
Steps To Reproducebox b1 10 10 10
bopcheck b1
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25801
Attached Files

- Relationships
child of 0024826closedbugmaster Community Wrapping of parallelisation algorithms 

-  Notes
(0037210)
git (administrator)
2015-02-09 09:32

Branch CR25801 has been created by emv.

SHA-1: b7ef6ffb31c26f45d76433c42a034938aea24a15


Detailed log of new commits:

Author: emv
Date: Mon Feb 9 09:27:11 2015 +0300

    0025801: Some of the commands in BOPTest packages show the execution time without -t key
    
    Unnecessary output of the execution time has been removed in the following commands:
     - bopcheck
     - bfillds
     - bbuild
     - bbop
(0037211)
emv (developer)
2015-02-09 09:34

Git branch CR25801 is ready to be reviewed.
(0037214)
msv (developer)
2015-02-09 11:04

Reviewed.
(0037375)
mkv (tester)
2015-02-11 18:31

Dear BugMaster,
Branch CR25801 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b7ef6ffb31c26f45d76433c42a034938aea24a15

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25801-master-occt/Debian60-64/bugs/modalg_5/bug25801.html [^]
http://occt-tests/CR25801-master-occt/Windows-32-VC10/bugs/modalg_5/bug25801.html [^]
bugs modalg_5(010) bug25801: OK

Testing on Linux:
occt component :
Total MEMORY difference: 85190460 / 86186856
Total CPU difference: 50749.509999999886 / 47876.709999999846
products component :
Total MEMORY difference: 23272742 / 23299570
Total CPU difference: 14971.389999999992 / 14707.489999999967

Testing on Windows:
occt component :
Total MEMORY difference: 40649638 / 40658608
Total CPU difference: 33010.75 / 32754.1875
products component :
Total MEMORY difference: 11035028 / 11081969
Total CPU difference: 12063.03125 / 10978.125

There are no differences in images found by testdiff.
(0037376)
git (administrator)
2015-02-11 18:32

Branch CR25801 has been updated by mkv.

SHA-1: c11e695f4fc922581616d1ccd5b307a1541bbd1f


Detailed log of new commits:

Author: mkv
Date: Wed Feb 11 18:31:04 2015 +0300

    Test case for issue CR25801

(0037377)
mkv (tester)
2015-02-11 18:32

Dear emv,
could you please review test case
bugs modalg_5(010) bug25801
(0037396)
emv (developer)
2015-02-12 08:35

Reviewed.
(0037403)
mkv (tester)
2015-02-12 10:08

Branch CR25801 is TESTED.
(0038595)
git (administrator)
2015-03-18 13:38

Branch CR25801 has been deleted by inv.

SHA-1: c11e695f4fc922581616d1ccd5b307a1541bbd1f

- Related Changesets
occt: master e32045fd
Timestamp: 2015-02-12 09:02:30
Author: emv
Committer: bugmaster
Details ] Diff ]
0025801: Some of the commands in BOPTest packages show the execution time without -t key

Unnecessary output of the execution time has been removed in the following commands:
 - bopcheck
 - bfillds
 - bbuild
 - bbop

Test case for issue CR25801
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25801 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-06 18:09 emv New Issue
2015-02-06 18:09 emv Assigned To => msv
2015-02-06 18:10 emv Relationship added child of 0024826
2015-02-06 19:25 msv Assigned To msv => emv
2015-02-06 19:25 msv Status new => assigned
2015-02-09 09:32 git Note Added: 0037210
2015-02-09 09:34 emv Note Added: 0037211
2015-02-09 09:34 emv Assigned To emv => msv
2015-02-09 09:34 emv Status assigned => resolved
2015-02-09 11:04 msv Note Added: 0037214
2015-02-09 11:04 msv Assigned To msv => bugmaster
2015-02-09 11:04 msv Status resolved => reviewed
2015-02-09 13:36 mkv Assigned To bugmaster => mkv
2015-02-11 18:31 mkv Note Added: 0037375
2015-02-11 18:32 git Note Added: 0037376
2015-02-11 18:32 mkv Note Added: 0037377
2015-02-11 18:32 mkv Assigned To mkv => emv
2015-02-11 18:32 mkv Status reviewed => feedback
2015-02-11 18:32 mkv Test case number => bugs modalg_5(010) bug25801
2015-02-12 08:35 emv Note Added: 0037396
2015-02-12 08:35 emv Assigned To emv => mkv
2015-02-12 08:35 emv Status feedback => reviewed
2015-02-12 10:08 mkv Note Added: 0037403
2015-02-12 10:08 mkv Assigned To mkv => bugmaster
2015-02-12 10:08 mkv Status reviewed => tested
2015-02-13 17:55 bugmaster Changeset attached => occt master e32045fd
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038595
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker